The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

libstdc++-devel being installed over and over again...

Discussion in 'General Discussion' started by Bdzzld, Jul 24, 2008.

  1. Bdzzld

    Bdzzld Well-Known Member

    Joined:
    Apr 3, 2004
    Messages:
    356
    Likes Received:
    1
    Trophy Points:
    18
    Hi,

    I've having this problem on multiple boxes with the following installed :

    Code:
    WHM 11.23.2 cPanel 11.23.4-S26138
    CENTOS Enterprise 4.6 x86_64 on standard - WHM X v3.1.0 
    
    Every other day the same module is being installed. The first day the i386 version, the second day the x86_64 version and the the next day starting over again :

    Code:
    ...
    07/20 : Packages Installed libstdc++-devel.i386 3.4.6-9
    07/19 : Packages Installed libstdc++-devel.x86_64 3.4.6-9
    07/18 : Packages Installed libstdc++-devel.i386 3.4.6-9
    07/17 : Packages Installed libstdc++-devel.x86_64 3.4.6-9
    07/16 : Packages Installed libstdc++-devel.i386 3.4.6-9
    07/15 : Packages Installed libstdc++-devel.x86_64 3.4.6-9
    07/14 : Packages Installed libstdc++-devel.i386 3.4.6-9
    07/13 : Packages Installed libstdc++-devel.x86_64 3.4.6-9
    07/12 : Packages Installed libstdc++-devel.i386 3.4.6-9
    ...
    
    As you can see this has been going on for many days in a row and is getting me pretty frustrated.
    Does someone recognize this behavior ?

    Thanks.
     
  2. Bdzzld

    Bdzzld Well-Known Member

    Joined:
    Apr 3, 2004
    Messages:
    356
    Likes Received:
    1
    Trophy Points:
    18
    Does no one have a comment about this whatshowever?
    It's still occurring on half of our cPanel servers...
     
  3. nickp666

    nickp666 Well-Known Member

    Joined:
    Jan 28, 2005
    Messages:
    770
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    /dev/null
    I kept seeing this on one of our boxes when upcp was running, running yum manually seemed to correct it
     
  4. Bdzzld

    Bdzzld Well-Known Member

    Joined:
    Apr 3, 2004
    Messages:
    356
    Likes Received:
    1
    Trophy Points:
    18
    Hi nickp666,

    Thanks for replying.
    Did you add any special additions to "yum" or did you just enter the following :
    Code:
    yum update
    
    Thanks once again.
     
  5. nickp666

    nickp666 Well-Known Member

    Joined:
    Jan 28, 2005
    Messages:
    770
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    /dev/null
  6. Bdzzld

    Bdzzld Well-Known Member

    Joined:
    Apr 3, 2004
    Messages:
    356
    Likes Received:
    1
    Trophy Points:
    18
    Hi,

    Yum only found some new kernel files to be updated... I've had Yum have its day and have them updated regardsless.
    Will let you know if it solved the previous described problem after upcp has run again tonight...

    Regards.
     
  7. Bdzzld

    Bdzzld Well-Known Member

    Joined:
    Apr 3, 2004
    Messages:
    356
    Likes Received:
    1
    Trophy Points:
    18
    Update:
    The problem was caused by rpm truncating the
    names of the libstdc++-devel-3.4.6-9.i386.rpm and
    libstdc++-devel-3.4.6-9.x86_64.rpm RPMs, leaving off the architecture portion
    of the name. Because of this, it was impossible to know which was installed,
    so the installation was attempted over and over again.

    Problem was solved by manually installing them :

    Code:
    # rpm -i 
    http://mirror.techfiles.org/centos/4.6/os/x86_64/CentOS/RPMS/libstdc++-devel-3.4.6-9.i386.rpm
    
    # rpm -i 
    http://mirror.techfiles.org/centos/4.6/os/x86_64/CentOS/RPMS/libstdc++-devel-3.4.6-9.x86_64.rpm
    
    rpm should report that one of the RPMs is already installed, and it should go
    ahead and install the other one.
    Note that the above will work on CentOS 4.6 x86_64 only. You may have to adjust the download paths to correct the versioning.

    Thanks to Jared Ryan @ cPanel Support for solving this.
     
  8. thobarn

    thobarn Well-Known Member

    Joined:
    Apr 25, 2008
    Messages:
    153
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    sanctum sanctorum
    libstdc++-devel repeated installs

    I am having this repeated install problem with cPanel 11.24.4-S33345 - WHM 11.24.2 - X 3.9 CENTOS 4.7 x86_64 on virtuozzo.

    I tried the manual update suggested above (changing to version WHM keeps reinstalling) but got an "Unknown or unexpected error" message. Could someone please tell how to to resolve this? Thanks
     
  9. thobarn

    thobarn Well-Known Member

    Joined:
    Apr 25, 2008
    Messages:
    153
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    sanctum sanctorum
    I continue to have this repeated install problem with cPanel 11.24.4-S33345 - WHM 11.24.2 - X 3.9 CENTOS 4.7 x86_64 on virtuozzo. The same does not happen with another machine I have cPanel 11.24.4-S33345 - WHM 11.24.2 - X 3.9 CENTOS 5.2 i686 on virtuozzo. Can anyone tell me how can I resolve this please?
     
  10. thobarn

    thobarn Well-Known Member

    Joined:
    Apr 25, 2008
    Messages:
    153
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    sanctum sanctorum
    somebody, please?
     
Loading...

Share This Page